Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.utils.random
Class FastDirichletMRGParams

    java.lang.Object
      de.jstacs.utils.random.MRGParams
          de.jstacs.utils.random.DiMRGParams
              de.jstacs.utils.random.FastDirichletMRGParams

    public class FastDirichletMRGParams

extends DiMRGParams

The container for parameters of a Dirichlet random generator that uses the same hyperparameter at all positions.

Author:
  Jens Keilwagen
See Also:
  `MRGParams`, `DirichletMRGParams`

Constructor Summary
`FastDirichletMRGParams(double alpha)` Creates the hyperparameter for a Dirichlet random generator which is used at all positions for the hyperparameter vector of the underlying Dirichlet distribution.

Method Summary
`int` | `getDimension()` Returns the dimension of the hyperparameter vector of the underlying Dirichlet distribution and therefore the dimension of the generated random array.
`double` | `getHyperparameter(int i)` Returns the value at position `i` of the hyperparameter vector of the underlying Dirichlet distribution.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FastDirichletMRGParams

    public FastDirichletMRGParams(double alpha)
                           throws IllegalArgumentException

  Creates the hyperparameter for a Dirichlet random generator which is used at all positions for the hyperparameter vector of the underlying Dirichlet distribution.

  Parameters:
    `alpha` - the hyperparameter for all positions of the hyperparameter vector
  Throws:
    `IllegalArgumentException` - if the value for `alpha` is chosen incorrectly (negative or 0), the parameter has to be positive

Method Detail

### getDimension

    public int getDimension()

  Description copied from class: `DiMRGParams`
  Returns the dimension of the hyperparameter vector of the underlying Dirichlet distribution and therefore the dimension of the generated random array.

  Specified by:
    `getDimension` in class `DiMRGParams`
  Returns:
    the dimension of the hyperparameter vector of the underlying Dirichlet distribution and therefore the dimension of the generated random array

### getHyperparameter

    public double getHyperparameter(int i)

  Description copied from class: `DiMRGParams`
  Returns the value at position `i` of the hyperparameter vector of the underlying Dirichlet distribution.

  Specified by:
    `getHyperparameter` in class `DiMRGParams`
  Parameters:
    `i` - the position of the hyperparameter vector
  Returns:
    the value at position `i` of the hyperparameter vector of the underlying Dirichlet distribution

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD